import org.objectweb.util.monolog.api.Logger;


/**
 * @author <a href="mailto:Romain.Rouvoy@lifl.fr">Romain Rouvoy</a>
 * @version $Revision: 1.1 $
 * @monolog.handler name="clientHandler" output="System.err" pattern="%-5l [%h] <%t> %m%n"
 */
public abstract class ClientAbstract {
    /** @fractal.bc name="default" */
    protected Service defaut ;
    
    /** @fractal.ac */
    protected String message;
    
    /** @fractal.log name="client" handler="clientHandler,consoleHandler" */
    protected Logger logger;
}
